Debian Bug report logs - #692614
mono: non-free file in upstream tarball ("The Software shall be used for Good, not Evil")

version graph

Package: src:mono; Maintainer for src:mono is Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>;

Reported by: Ansgar Burchardt <ansgar@debian.org>

Date: Wed, 7 Nov 2012 21:45:02 UTC

Severity: serious

Tags: wheezy-ignore

Found in version mono/2.10.8.1-5

Fixed in versions mono/3.0.6+dfsg2-4, src:mono/3.0.6+dfsg2-1

Done: Jo Shields <directhex@apebox.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#692614; Package src:mono. (Wed, 07 Nov 2012 21:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Wed, 07 Nov 2012 21:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mono: non-free file in upstream tarball ("The Software shall be used for Good, not Evil")
Date: Wed, 07 Nov 2012 22:42:05 +0100
Package: src:mono
Version: 2.10.8.1-5
Severity: serious

The upstream tarball for monp contains a file under the non-free JSON
license:

% rgrep -l 'The Software shall be used for Good, not Evil.' .
./mcs/class/System.Web.Extensions/System.Web.Script.Serialization/JsonDeserializer.cs

Ansgar



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>:
Bug#692614; Package src:mono. (Fri, 16 Nov 2012 15:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>. (Fri, 16 Nov 2012 15:51:07 GMT) Full text and rfc822 format available.

Message #10 received at 692614@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: control@bugs.debian.org, debian-devel@lists.debian.org, debian-release@lists.debian.org
Cc: 692614@bugs.debian.org, 692619@bugs.debian.org, 692624@bugs.debian.org, 692625@bugs.debian.org, 692627@bugs.debian.org, 692628@bugs.debian.org, 692629@bugs.debian.org, 692630@bugs.debian.org, 692631@bugs.debian.org, 692613@bugs.debian.org, 692615@bugs.debian.org, 692626@bugs.debian.org, 692621@bugs.debian.org
Subject: Wheezy-ignore for good-not-evil bugs
Date: Fri, 16 Nov 2012 15:46:08 +0000
[Message part 1 (text/plain, inline)]
tags 692614 + wheezy-ignore
tags 692619 + wheezy-ignore
tags 692624 + wheezy-ignore
tags 692625 + wheezy-ignore
tags 692627 + wheezy-ignore
tags 692628 + wheezy-ignore
tags 692629 + wheezy-ignore
tags 692630 + wheezy-ignore
tags 692631 + wheezy-ignore
tags 692613 + wheezy-ignore
tags 692615 + wheezy-ignore
tags 692626 + wheezy-ignore
tags 692621 + wheezy-ignore
thanks

These bugs aren't gonna get fixed in time - tagging ignore
appropriately.

Neil
-- 
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wheezy-ignore. Request was from Neil McGovern <neilm@debian.org> to control@bugs.debian.org. (Fri, 16 Nov 2012 15:51:30 GMT) Full text and rfc822 format available.

Reply sent to Jo Shields <directhex@apebox.org>:
You have taken responsibility. (Tue, 08 Oct 2013 14:12:05 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@debian.org>:
Bug acknowledged by developer. (Tue, 08 Oct 2013 14:12:05 GMT) Full text and rfc822 format available.

Message #17 received at 692614-done@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: 692614-done@bugs.debian.org
Subject: done
Date: Tue, 08 Oct 2013 16:01:14 +0200
Package: src:mono
Version: 3.0.6+dfsg2-1





Marked as fixed in versions mono/3.0.6+dfsg2-4. Request was from Jo Shields <directhex@apebox.org> to control@bugs.debian.org. (Tue, 08 Oct 2013 14:45:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:44:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.